Qt 5.9 | Qt Data Visualization | C++ Classes | QLogValue3DAxisFormatter

Qt 5.9.9 Reference Documentation

# QLogValue3DAxisFormatter Class

The QLogValue3DAxisFormatter class provides formatting rules for a logarithmic value axis. More...

Header: | #include <QLogValue3DAxisFormatter>
Since: | QtDataVisualization 1.1
Instantiated By: | LogValueAxis3DFormatter
Inherits: | QValue3DAxisFormatter

- List of all members, including inherited members

## Properties

- autoSubGrid : bool
- base : qreal
- showEdgeLabels : bool

## Public Functions

| QLogValue3DAxisFormatter(QObject *parent = Q_NULLPTR)
virtual | ~QLogValue3DAxisFormatter()
bool | autoSubGrid() const
qreal | base() const
void | setAutoSubGrid(bool enabled)
void | setBase(qreal base)
void | setShowEdgeLabels(bool enabled)
bool | showEdgeLabels() const

## Signals

void | autoSubGridChanged(bool enabled)
void | baseChanged(qreal base)
void | showEdgeLabelsChanged(bool enabled)

### Additional Inherited Members

- 18 protected functions inherited from QValue3DAxisFormatter

## Detailed Description

The QLogValue3DAxisFormatter class provides formatting rules for a logarithmic value axis.

When a formatter is attached to a value axis, the axis range cannot include negative values or the zero.

See also QValue3DAxisFormatter.

## Property Documentation

### autoSubGrid : bool

This property holds whether sub-grid positions are generated automatically.

If this property value is set to `true`, the parent axis sub-segment count is ignored when calculating sub-grid line positions. The sub-grid positions are generated automatically according to the base property value. The number of sub-grid lines is set to the base value minus one, rounded down. This property is ignored when the base value is zero. Defaults to `true`.

Access functions:

bool | autoSubGrid() const
void | setAutoSubGrid(bool enabled)

Notifier signal:

void | autoSubGridChanged(bool enabled)

See also base and QValue3DAxis::subSegmentCount.

### base : qreal

This property holds the base of the logarithm used to map axis values.

If the base is non-zero, the parent axis segment count will be ignored when the grid line and label positions are calculated. If you want the range to be divided into equal segments like a normal value axis, set this property value to zero.

The base has to be zero or a positive value and it cannot be equal to one. Defaults to ten.

Access functions:

qreal | base() const
void | setBase(qreal base)

Notifier signal:

void | baseChanged(qreal base)

See also QValue3DAxis::segmentCount.

### showEdgeLabels : bool

This property holds whether the first and last label on the axis are visible.

When the base property value is non-zero, the whole axis range is often not equally divided into segments. The first and last segments are often smaller than the other segments. In extreme cases, this can lead to overlapping labels on the first and last two grid lines. By setting this property to `false`, you can suppress showing the minimum and maximum labels for the axis in cases where the segments do not exactly fit the axis. Defaults to `true`.

Access functions:

bool | showEdgeLabels() const
void | setShowEdgeLabels(bool enabled)

Notifier signal:

void | showEdgeLabelsChanged(bool enabled)

See also base and QAbstract3DAxis::labels.

## Member Function Documentation

### QLogValue3DAxisFormatter::QLogValue3DAxisFormatter(QObject *parent = Q_NULLPTR)

Constructs a new logarithmic value 3D axis formatter with the optional parent parent.

### `[virtual]` QLogValue3DAxisFormatter::~QLogValue3DAxisFormatter()

Deletes the logarithmic value 3D axis formatter.